Modeling Wizard Plugin for AutomationML Editor Version1.0.0.1 Plugin |

Public Member Functions | List of all members
Aml.Editor.Plugin.AutomationMLDataTables Class Reference

## Public Member Functions
DataTable | AMLAttributeParameters ()
void | CreateDataTableWithColumns (DataTable dataRowName, DataGridView dataGridViewName, KeyValuePair< string, List< List< ClassOfListsFromReferencefile >>> pair)
void | CheckForSameNameTextOfInternalAttributes (DataTable dataRowName, DataGridView dataGridViewName, KeyValuePair< string, List< ClassOfListsFromReferencefile >> pair)
void | CreateDataTableWithColumns (DataTable dataRowName, DataGridView dataGridViewName, KeyValuePair< string, List< ElectricalInterfaceParameters >> pair)

## Member Function Documentation

## ◆ AMLAttributeParameters()

DataTable Aml.Editor.Plugin.AutomationMLDataTables.AMLAttributeParameters | ( |  | ) |
| inline

## ◆ CheckForSameNameTextOfInternalAttributes()

void Aml.Editor.Plugin.AutomationMLDataTables.CheckForSameNameTextOfInternalAttributes | ( | DataTable | dataRowName,
|  | DataGridView | dataGridViewName,
|  | KeyValuePair< string, List< ClassOfListsFromReferencefile >> | pair
| ) |  |
| inline

## ◆ CreateDataTableWithColumns() [1/2]

void Aml.Editor.Plugin.AutomationMLDataTables.CreateDataTableWithColumns | ( | DataTable | dataRowName,
|  | DataGridView | dataGridViewName,
|  | KeyValuePair< string, List< ElectricalInterfaceParameters >> | pair
| ) |  |
| inline

## ◆ CreateDataTableWithColumns() [2/2]

void Aml.Editor.Plugin.AutomationMLDataTables.CreateDataTableWithColumns | ( | DataTable | dataRowName,
|  | DataGridView | dataGridViewName,
|  | KeyValuePair< string, List< List< ClassOfListsFromReferencefile >>> | pair
| ) |  |
| inline

The documentation for this class was generated from the following file:

- AutomationMLDataTables.cs